@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700;800;900&display=swap');

* {
  margin: 0;
  padding: 0;
  font-family: 'Poppins', sans-serif;
  box-sizing: border-box;
  text-decoration: none;
  line-height: 1.5;
  list-style: none;

}
:root{
  --logo: clamp(1.25rem, 3vw, 1.875rem);
  --nav-icons: clamp(1.5rem, 3vw, 2.125rem);
  --showcase-title: clamp(1.75rem, 4vw, 50px);
  --title: clamp(1.5rem, 3vw, 11.875rem);
  --sub-title: clamp(1.125rem, 2vw, 1.5rem);
  --paragraphs: clamp(1rem, 1vw, 20px);
  --color1:#332885;
}
html{
  scroll-behavior: smooth;
}
/*BACK TO TOP */
#myBtn {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 2%;
  z-index: 99;
  border: none;
  outline: none;
  background-color: #222222;
  color: white;
  cursor: pointer;
  padding: 10px;
  font-size: 18px;
}

#myBtn i {
  position: relative;
  border: 1 rem solid #222222;
}

#myBtn:hover {
  background-color:var(--color1);
}

header {
  background: rgba(255, 255, 255, 1);
  width: 100%;
  height: 70px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 2%;
}

header .logo img {
  height:65px;
  width:65px;
}

header nav ul {
  display: flex;
}

header nav ul li a {
  display: inline-block;
  color: #000;
  padding: 5px 0;
  margin: 0 10px;
  border: 3px solid transparent;
  text-transform: uppercase;
  transition:border-bottom-color 0.25s;
}

header nav ul li a:hover,
header nav ul li a.Services {
  border-bottom-color: var(--color1);
}
/*DROPDOWN-MENU*/
.toggle-button {
  cursor: pointer;
  display: none;
  color: #222222;
  font-size: var(--nav-icons);
}
.dropdown-menu{
  display: none;
  position: absolute;
  top: 70px;
  right:0;
  width:100%;
  height:0;
  background-color:rgba(255, 255, 255, 1);
  overflow: hidden;
  z-index: 999;
  transition: height 0.2s;
}
.dropdown-menu li{
  padding: 1rem 0;
  display: flex;
  justify-content: center;
  align-items: center;
}
.dropdown-menu li a {
  color: #222222;
  text-transform: uppercase;
}
.dropdown-menu li a:hover{
  border-bottom: 2px solid;
  border-color:var(--color1);
}
.dropdown-menu.open{
height: max-content;
}
/*Main Showcase*/
.showcase-container {
  width: 100%;
  display: flex;
  position: relative;
  z-index:1 ;
}
.showcase-container img{
  width: 100%;
  max-height:300px;
  object-fit:cover;
  vertical-align: middle;
  z-index: 1;
}

.txt-showcase {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  text-transform: uppercase;
  color: #fff;
  z-index: 1;
  font-size: var(--sub-title);
}
.txt-showcase h2{
  background-color: #000;
  padding:0.5rem;
}
/*SERVICE*/
.services-area {
  padding: 10% 5%;
}
.services-area h2 {
  text-align: center;
  font-size: var(--title);
}
.services {
  display: flex;
  width: 100%;
  padding: 5% 5%;
  justify-content:center;
  gap: 3%;
}

.service {
  display: flex;
  width: 100%;
  flex-direction: column;
  align-items: center;
  padding: 1%;
  background-color: rgba(85, 85, 85,0.1) ;
}
.service-image  {
  width:100%;
  height: 350px;
}
.service-image img{
  object-fit: cover;
}

.service-title {
  color:var(--color1);
  font-size: 18px;
  font-weight: bold;
  align-items: end;
  margin:0.8rem;
}

.service-text {
  font-size: var(--paragraphs);
  color: #333;
  height:100%;
  width: 100%;
  padding:2%;
}


/*PROJECTS*/
.project-area{
  padding: 0 5%;
}
.project-title h2{
  text-align: center;
  font-size: var(--title);
  padding-bottom:5%;
}

.project-images  {
  display: grid;
  width: 100%;
  grid-template-columns: repeat(auto-fit,minmax(450px,1fr));
  grid-gap:1rem;
  margin: auto;

}

.project-images img {
  width: 100%;
  cursor: pointer;
  transition: 0.3s;
  height: 750px;
  object-fit: cover;
}

/*CONTACT US*/
.contact-container {
  padding: 5% 5%;
  display: flex;
  width: 100%;
  margin: 0 auto;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.info-txt h1{
  text-align: center;
  font-size: var(--title);
}
.info-txt p{
  font-size: var(--paragraphs);
  text-align: center;
}

.phone-email {
  width: 100%;
  display: flex;
  z-index: 1;
  align-items: center;
  justify-content: center;
  padding-top: 1rem;

}
.phone-email a{
  color: #222222;
  font-size: 1.2rem;
}
.phone-email a:hover{
  border-bottom: 0.150rem solid;
  border-color: #333;
}
.contact-phone{
  margin-right: 2rem;
}
/*FOOTER*/

footer {
  background-color: #222222;
  padding: 2% 0 0 0;
}

.footer-container {
  width: 100%;
  margin: auto;
  padding: 0 5%;
}

.footer-row {
  display: flex;
  justify-content: space-between;
}

.footer-colums {
  width: 30%;
}

.footer-colums ul li {
  padding: 0.4rem 0;
}

.footer-colums ul li a {
  color: #fff;
  text-transform: uppercase;
}
.footer-colums ul li a:hover {
  border-bottom: 2px solid;
  border-bottom-color: #fff;
}

footer h2 {
  color: #fff;
  text-transform: uppercase;
}

footer p {
  color: #fff;
  text-transform: uppercase;
}


.footer-contact a {
  color: #fff;
  font-size: 20px;
}
footer .footer-number {
  color: #999997;
  font-size: 20px;
  padding-bottom: 1rem;
}

.footer-end {
  padding-top: 4rem;
}

.footer-icons{
  margin-top: 1rem;
}
.footer-icons i {
  color: #fff;
  font-size: 20px;
  border: 1rem solid #000;
}

.footer-icons a {
  margin-right: 0.3rem;
}
/*MEDIA*/

@media screen and (max-width: 1000px) {
  header nav ul li a {
    display: none;
  }
  nav .toggle-button{
    display: block;
  }
  .dropdown-menu{
    display: block;
  }
}
@media screen and (max-width:770px) {
  .services {
    flex-direction: column;
  }
  .service{
    margin:5% 0 ;
  }

  .phone-email{
    flex-direction: column;
  }

  /*PROJECTS*/
  .project-images {
    grid-template-columns: none;
    grid-template-rows: repeat(18,1fr);
  }
  /*FOOTER*/

  .footer-row {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
  }

  .footer-colums {
    width: 100%;
    text-align: center;
    padding: 10% 0;
  }

  .container {
    width: 100%;
  }

  .main-text {
    width: 100%;
  }

  .footer-end {
    flex-direction: column-reverse;
  }

  .footer-end p {
    margin-top: 5%;
    margin-right: 0;
  }

}
  
 